## gitlab-workhorse 8.37.0+debian

=== debian/changelog ===
gitlab-workhorse (8.37.0+debian-1) unstable; urgency=medium

  * Update minimum version of golang-github-stretchr-testify-dev to 1.4
  * New upstream version 8.37.0+debian

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Jul 2020 22:49:30 +0530

gitlab-workhorse (8.36.0+debian-1) unstable; urgency=medium

  * New upstream version 8.36.0+debian
  * Disable more tests via debian/clean (dependencies not packaged)
  * Add golang-github-aws-aws-sdk-go-dev to Build-Depends

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jun 2020 18:01:16 +0530

gitlab-workhorse (8.32.0+debian-2) unstable; urgency=medium

  [ Pirate Praveen ]
  * Drop github.com/FZambia/sentinel from vendor and use packaged version
  * Bump minimum version to golang-any to 1.14

  [ Lucas Kanashiro ]
  * Do not b-d on golang-prometheus-client-dev

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 Jun 2020 19:42:30 +0530

gitlab-workhorse (8.32.0+debian-1) unstable; urgency=medium

  * New upstream version 8.32.0+debian
  * Add golang-github-alecthomas-chroma-dev to Build-Depends

 -- Pirate Praveen <praveen@debian.org>  Sat, 23 May 2020 15:22:39 +0530

gitlab-workhorse (8.30.1+debian-1) unstable; urgency=medium

  * Use golang-github-client9-reopen-dev as build dependency
    and drop from vendor
  * Drop Files-Excluded from copyright (vendor is manually created now)
  * New upstream version 8.30.1+debian

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Apr 2020 21:45:29 +0530

gitlab-workhorse (8.30+debian-1) unstable; urgency=medium

  * Update build dependencies for buster-backports build
  * New upstream version 8.30+debian
  * Exclude cable_test.go from tests (needs definitions from other excluded
    tests)

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Apr 2020 00:35:37 +0530
