=== debian/control ===
Source: gitlab-workhorse
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <guptautkarsh2102@gmail.com>
Section: httpd
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any (>= 2:1.14~),
               golang-github-alecthomas-chroma-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-beorn7-perks-dev,
               golang-github-client9-reopen-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
               golang-github-fzambia-sentinel-dev,
               golang-github-garyburd-redigo-dev,
#              golang-github-getsentry-raven-go-dev,
               golang-github-gomodule-redigo-dev,
               golang-github-jfbus-httprs-dev,
               golang-github-jpillora-backoff-dev,
               golang-github-mitchellh-copystructure-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-sebest-xff-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev (>= 1.4~),
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
               golang-google-genproto-dev,
               golang-goprotobuf-dev (>= 1.3~),
               golang-procfs-dev,
               golang-protobuf-extensions-dev,
               golang-toml-dev,
               golang-websocket-dev,
               golang-google-grpc-dev (>= 1.22~),
## tests:
    libimage-exiftool-perl,
#git,
#curl,
#unzip
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-workhorse
Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-workhorse.git
Homepage: https://gitlab.com/gitlab-org/gitlab-workhorse/
XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-workhorse
Rules-Requires-Root: no

Package: gitlab-workhorse
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: unloads Git HTTP traffic from the GitLab Rails app (Unicorn)
 gitlab-workhorse was designed to unload Git HTTP traffic from the GitLab Rails
 app (Unicorn) to a separate daemon. It also serves 'git archive' downloads for
 GitLab. All authentication and authorization logic is still handled by the
 GitLab Rails app.
 .
 Architecture: Git client -> NGINX -> gitlab-workhorse (makes auth request to
 GitLab Rails app) -> git-upload-pack
