## gitlab-workhorse 8.54.2%2Bdebian

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 BUILD_TIME := $(shell date -u +%Y%m%d.%H%M%S)
 GOBUILD := go build -ldflags "-X main.Version=$(VERSION_STRING) -X main.BuildTime=$(BUILD_TIME)"
-EXE_ALL := gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
+EXE_ALL := gitlab-resize-image gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
 INSTALL := install
 BUILD_TAGS := tracer_static tracer_static_jaeger continuous_profiler_stackdriver
 
@@ -22,7 +22,7 @@
 export GOPROXY ?= https://proxy.golang.org
 export GO111MODULE=on
 
-LOCAL_GO_FILES = $(shell find . -type f -name '*.go' | grep -v -e /_ -e /testdata/)
+LOCAL_GO_FILES = $(shell find . -type f -name '*.go' | grep -v -e /_ -e /testdata/ -e '^\./\.')
 
 define message
 	@echo "### $(1)"
@@ -40,6 +40,10 @@
 	mkdir -p "$(TARGET_DIR)"
 	touch "$(TARGET_SETUP)"
 
+gitlab-resize-image: $(TARGET_SETUP) $(shell find cmd/gitlab-resize-image/ -name '*.go')
+	$(call message,Building $@)
+	$(GOBUILD) -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
+
 gitlab-zip-cat:	$(TARGET_SETUP) $(shell find cmd/gitlab-zip-cat/ -name '*.go')
 	$(call message,Building $@)
 	$(GOBUILD) -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
@@ -53,10 +57,10 @@
 	$(GOBUILD) -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)
 
 .PHONY:	install
-install:	gitlab-workhorse gitlab-zip-cat gitlab-zip-metadata
+install:	$(EXE_ALL)
 	$(call message,$@)
 	mkdir -p $(DESTDIR)$(PREFIX)/bin/
-	cd $(BUILD_DIR) && $(INSTALL) gitlab-workhorse gitlab-zip-cat gitlab-zip-metadata $(DESTDIR)$(PREFIX)/bin/
+	cd $(BUILD_DIR) && $(INSTALL) $(EXE_ALL) $(DESTDIR)$(PREFIX)/bin/
 
 .PHONY:	test
 test: $(TARGET_SETUP) prepare-tests
@@ -112,7 +116,7 @@
 	mkdir -p testdata/scratch
 
 .PHONY: verify
-verify: lint vet detect-context check-formatting staticcheck
+verify: lint vet detect-context detect-assert check-formatting staticcheck deps-check
 
 .PHONY: lint
 lint: $(TARGET_SETUP)
@@ -129,6 +133,11 @@
 detect-context: $(TARGET_SETUP)
 	$(call message,Verify: $@)
 	_support/detect-context.sh
+
+.PHONY: detect-assert
+detect-assert:
+	$(call message,Verify: $@)
+	_support/detect-assert.sh
 
 .PHONY: check-formatting
 check-formatting: $(TARGET_SETUP) install-goimports
@@ -155,3 +164,14 @@
 install-goimports:	$(TARGET_SETUP)
 	$(call message,$@)
 	go install golang.org/x/tools/cmd/goimports
+
+.PHONY: deps-check
+deps-check:
+	go mod tidy
+	@if git diff --quiet --exit-code -- go.mod go.sum; then \
+		echo "go.mod and go.sum are ok"; \
+	else \
+		echo ""; \
+		echo "go.mod and go.sum are modified, please commit them";\
+		exit 1; \
+	fi;
