## gitlab-workhorse 8.54.2+debian

=== debian/changelog ===
gitlab-workhorse (8.54.2+debian-1) unstable; urgency=medium

  * Team Upload.
  [ Pirate Praveen ]
  * Update minimum version of golang-github-azure-azure-storage-blob-go-dev
  * Add golang-github-disintegration-imaging-dev to build depends
  * New upstream version 8.54.2+debian

  [ Nilesh Patra ]
  * d/p/search-binaries-in-path.patch: Look for gitlab-workhorse
    binaries also in all paths in PATH env variable

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 16:24:53 +0000

gitlab-workhorse (8.46.0+debian-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Add explicit build dependency on golang-github-jtolds-gls-dev
  * New upstream version 8.46.0+debian

 -- Sruthi Chandran <srud@debian.org>  Fri, 27 Nov 2020 01:51:50 +0530

gitlab-workhorse (8.39.0+debian-1) unstable; urgency=medium

  * New upstream version 8.39.0+debian
  * Add a note about embedding golang-github-alecthomas-chroma
    (Closes: #971155)

 -- Pirate Praveen <praveen@debian.org>  Wed, 28 Oct 2020 20:08:56 +0530
