=== debian/control ===
--- 
+++ 
@@ -9,15 +9,19 @@
                golang-any (>= 2:1.14~),
                golang-github-alecthomas-chroma-dev,
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-storage-blob-go-dev (>= 0.10~),
                golang-github-beorn7-perks-dev,
                golang-github-client9-reopen-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
+               golang-github-disintegration-imaging-dev,
                golang-github-fzambia-sentinel-dev,
                golang-github-garyburd-redigo-dev,
 #              golang-github-getsentry-raven-go-dev,
+               golang-github-google-uuid-dev,
                golang-github-gomodule-redigo-dev,
                golang-github-jfbus-httprs-dev,
+                 golang-github-jtolds-gls-dev (>= 4.20~),
                golang-github-jpillora-backoff-dev,
                golang-github-mitchellh-copystructure-dev,
                golang-github-mitchellh-reflectwalk-dev,
@@ -28,11 +32,13 @@
                golang-github-sebest-xff-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev (>= 1.4~),
+               golang-gocloud-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
                golang-google-genproto-dev,
                golang-goprotobuf-dev (>= 1.3~),
+               golang-honnef-go-tools-dev,
                golang-procfs-dev,
                golang-protobuf-extensions-dev,
                golang-toml-dev,
